package io.gmss.fiscad.interfaces.rfu.metier;

import io.gmss.fiscad.entities.rfu.metier.UniteLogement;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface UniteLogementService {

    UniteLogement createUniteLogement(UniteLogement uniteLogement) throws BadRequestException;

    UniteLogement updateUniteLogement(Long id, UniteLogement uniteLogement) throws NotFoundException;

    void deleteUniteLogement(Long id) throws NotFoundException;

    Page<UniteLogement> getUniteLogementList(Pageable pageable);

    List<UniteLogement> getUniteLogementList();

    Optional<UniteLogement> getUniteLogementById(Long id);
}
